<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Collatz.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Collatz.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="Collatz_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// ---------</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// Collatz.h</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// ---------</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;</div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#ifndef Collatz_h</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#define Collatz_h</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">// --------</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">// includes</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">// --------</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;iostream&gt;</span> <span class="comment">// istream, ostream</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;tuple&gt;</span>    <span class="comment">// tuple</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#include &lt;utility&gt;</span>  <span class="comment">// pair</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">using namespace </span><a class="code" href="namespacestd.html">std</a>;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment">// ------------</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">// collatz_read</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">// ------------</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;pair&lt;int, int&gt; <a class="code" href="Collatz_8hpp.html#a030060205cce5a0fef7c6bef2d915c9f">collatz_read</a> (<span class="keyword">const</span> <span class="keywordtype">string</span>&amp;);</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment">// ------------</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment">// collatz_eval</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="comment">// ------------</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;tuple&lt;int, int, int&gt; <a class="code" href="Collatz_8hpp.html#a52d2fa1b09ed6ed338cb7931ae376986">collatz_eval</a> (<span class="keyword">const</span> pair&lt;int, int&gt;&amp;);</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="keywordtype">int</span> <a class="code" href="Collatz_8hpp.html#aaf863656dbf3c0d5938148064dbe9650">cycleSolve</a>  (<span class="keywordtype">int</span> i, <span class="keywordtype">int</span> j);</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="keywordtype">int</span> <a class="code" href="Collatz_8hpp.html#af259cc6d37bf5efb1a576b7cc850ae36">collatzSolve</a> (<span class="keywordtype">int</span> i);</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="keywordtype">int</span> <a class="code" href="Collatz_8hpp.html#acadb402e715fd843d070857520406666">mCacheSolve</a>(<span class="keywordtype">int</span> i, <span class="keywordtype">int</span> j, <span class="keywordtype">int</span> temp);</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;<span class="keywordtype">int</span> <a class="code" href="Collatz_8hpp.html#a1671e1a9336aa13a94ca7701d5dcb37e">collatzLoop</a> (<span class="keywordtype">int</span> i, <span class="keywordtype">int</span> j);</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;<span class="keywordtype">void</span> <a class="code" href="Collatz_8hpp.html#a45d45bf5c627b1ab1eb5ff9c9d4c1f8e">getMCash</a>();</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="comment">// -------------</span></div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;<span class="comment">// collatz_print</span></div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<span class="comment">// -------------</span></div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;<span class="keywordtype">void</span> <a class="code" href="Collatz_8hpp.html#abc6faa0ba3de27b9eb9b762dedf41f83">collatz_print</a> (ostream&amp;, <span class="keyword">const</span> tuple&lt;int, int, int&gt;&amp;);</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;<span class="comment">// -------------</span></div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;<span class="comment">// collatz_solve</span></div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;<span class="comment">// -------------</span></div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;<span class="keywordtype">void</span> <a class="code" href="Collatz_8hpp.html#ac8d784fbd05e60bbd57a4b2db5ba6b87">collatz_solve</a> (istream&amp;, ostream&amp;);</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;<span class="preprocessor">#endif // Collatz_h</span></div><div class="ttc" id="Collatz_8hpp_html_acadb402e715fd843d070857520406666"><div class="ttname"><a href="Collatz_8hpp.html#acadb402e715fd843d070857520406666">mCacheSolve</a></div><div class="ttdeci">int mCacheSolve(int i, int j, int temp)</div><div class="ttdef"><b>Definition:</b> Collatz.cpp:114</div></div>
<div class="ttc" id="Collatz_8hpp_html_aaf863656dbf3c0d5938148064dbe9650"><div class="ttname"><a href="Collatz_8hpp.html#aaf863656dbf3c0d5938148064dbe9650">cycleSolve</a></div><div class="ttdeci">int cycleSolve(int i, int j)</div><div class="ttdef"><b>Definition:</b> Collatz.cpp:63</div></div>
<div class="ttc" id="Collatz_8hpp_html_a52d2fa1b09ed6ed338cb7931ae376986"><div class="ttname"><a href="Collatz_8hpp.html#a52d2fa1b09ed6ed338cb7931ae376986">collatz_eval</a></div><div class="ttdeci">tuple&lt; int, int, int &gt; collatz_eval(const pair&lt; int, int &gt; &amp;)</div><div class="ttdef"><b>Definition:</b> Collatz.cpp:39</div></div>
<div class="ttc" id="Collatz_8hpp_html_a030060205cce5a0fef7c6bef2d915c9f"><div class="ttname"><a href="Collatz_8hpp.html#a030060205cce5a0fef7c6bef2d915c9f">collatz_read</a></div><div class="ttdeci">pair&lt; int, int &gt; collatz_read(const string &amp;)</div><div class="ttdef"><b>Definition:</b> Collatz.cpp:27</div></div>
<div class="ttc" id="namespacestd_html"><div class="ttname"><a href="namespacestd.html">std</a></div></div>
<div class="ttc" id="Collatz_8hpp_html_abc6faa0ba3de27b9eb9b762dedf41f83"><div class="ttname"><a href="Collatz_8hpp.html#abc6faa0ba3de27b9eb9b762dedf41f83">collatz_print</a></div><div class="ttdeci">void collatz_print(ostream &amp;, const tuple&lt; int, int, int &gt; &amp;)</div><div class="ttdef"><b>Definition:</b> Collatz.cpp:178</div></div>
<div class="ttc" id="Collatz_8hpp_html_af259cc6d37bf5efb1a576b7cc850ae36"><div class="ttname"><a href="Collatz_8hpp.html#af259cc6d37bf5efb1a576b7cc850ae36">collatzSolve</a></div><div class="ttdeci">int collatzSolve(int i)</div><div class="ttdef"><b>Definition:</b> Collatz.cpp:79</div></div>
<div class="ttc" id="Collatz_8hpp_html_ac8d784fbd05e60bbd57a4b2db5ba6b87"><div class="ttname"><a href="Collatz_8hpp.html#ac8d784fbd05e60bbd57a4b2db5ba6b87">collatz_solve</a></div><div class="ttdeci">void collatz_solve(istream &amp;, ostream &amp;)</div><div class="ttdef"><b>Definition:</b> Collatz.cpp:187</div></div>
<div class="ttc" id="Collatz_8hpp_html_a1671e1a9336aa13a94ca7701d5dcb37e"><div class="ttname"><a href="Collatz_8hpp.html#a1671e1a9336aa13a94ca7701d5dcb37e">collatzLoop</a></div><div class="ttdeci">int collatzLoop(int i, int j)</div><div class="ttdef"><b>Definition:</b> Collatz.cpp:143</div></div>
<div class="ttc" id="Collatz_8hpp_html_a45d45bf5c627b1ab1eb5ff9c9d4c1f8e"><div class="ttname"><a href="Collatz_8hpp.html#a45d45bf5c627b1ab1eb5ff9c9d4c1f8e">getMCash</a></div><div class="ttdeci">void getMCash()</div><div class="ttdef"><b>Definition:</b> Collatz.cpp:154</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
